Bug 450366 (pear-HTTP-Client) - Review Request: php-pear-HTTP-Client - Easy way to perform multiple HTTP requests and process their results
Summary: Review Request: php-pear-HTTP-Client - Easy way to perform multiple HTTP req...
Status: CLOSED NEXTRELEASE
Alias: pear-HTTP-Client
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: php-pear-Auth
TreeView+ depends on / blocked
 
Reported: 2008-06-07 03:33 UTC by Christopher Stone
Modified: 2008-06-19 03:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-06-19 03:39:24 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Stone 2008-06-07 03:33:41 UTC
Spec URL: http://xulchris.fedorapeople.org/packages/php-pear-HTTP-Client.spec
SRPM URL: http://xulchris.fedorapeople.org/packages/php-pear-HTTP-Client-1.1.1-1.fc9.src.rpm

Description:
The HTTP_Client class wraps around HTTP_Request and provides a higher level
interface for performing multiple HTTP requests.

Comment 1 Jason Tibbitts 2008-06-14 20:33:09 UTC
Not much to say here.

* source files match upstream:
   225545e5ba27401c0f83d943a19d0cd51813f72524ad075104892e2e9c6d2128  
   HTTP_Client-1.1.1.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(HTTP_Client) = 1.1.1
   php-pear-HTTP-Client = 1.1.1-1.fc10
  =
   /bin/sh
   /usr/bin/pear
   php-pear(HTTP_Request) >= 1.2
   php-pear(PEAR)

* %check is not present; not test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (pear module installation)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Christopher Stone 2008-06-14 20:45:33 UTC
New Package CVS Request
=======================
Package Name: php-pear-HTTP-Client
Short Description: Easy way to perform multiple HTTP requests and process their
results
Owners: xulchris
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes


Comment 3 Kevin Fenzi 2008-06-16 16:04:37 UTC
cvs done.

Comment 4 Christopher Stone 2008-06-19 03:39:24 UTC
Build successful on all branches.  Thanks for the review. :)


Note You need to log in before you can comment on or make changes to this bug.